### Home Classes Methods

### In Files

- lib/amqp/exceptions.rb

### Parent

AMQP::Error

### Methods

- ::new

### Class/Module Index

Quicksearch

- AMQP
- AMQP::Broker
- AMQP::Channel
- AMQP::ChannelClosedError
- AMQP::Client
- AMQP::Consumer
- AMQP::Error
- AMQP::Exchange
- AMQP::Header
- AMQP::IncompatibleOptionsError
- AMQP::Integration
- AMQP::Integration::Rails
- AMQP::PossibleAuthenticationFailureError
- AMQP::Queue
- AMQP::Session
- AMQP::TCPConnectionFailed
- AMQP::Utilities
- AMQP::Utilities::EventLoopHelper
- AMQP::Utilities::ServerType

No matching classes.

# AMQP::ChannelClosedError

Raised on attempt to use a channel that was previously closed (either due to channel-level exception or intentionally via AMQP::Channel#close). @api public

### Public Class Methods

new(instance) click to toggle source

    # File lib/amqp/exceptions.rb, line 73
    def initialize(instance)
      super("Channel with id = #{instance.channel} is closed, you can't use it anymore!")
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.